跳转到主要内容
系统管理/用户配置相关接口
GETUser Configuration起始版本 4.10.0同步需要认证

获取角色权限行动

获取角色权限行动

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

  • showAllPoliciesboolean

    是否查询系统内所有角色权限。true 则查询查询系统内所有角色权限,false 仅查询当前账户拥有的角色和权限

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • inventoriesList必填

    所有匹配的行动

  • successboolean必填

    请求是否成功

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/identities/role/policy-actions

/zstack/v1/identities/role/policy-actions

操作 ID

GetRolePolicyActions

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/identities/role/policy-actions?systemTags=<systemTags>&userTags=<userTags>&showAllPolicies=True' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "policies": [ ".header.identity.APIChangeResourceOwnerMsg", ".header.identity.APICheckResourcePermissionMsg", ".header.identity.APICreateAccountMsg", ".header.identity.APIDeleteAccountMsg", ".header.identity.APIGetAccountQuotaUsageMsg", ".header.identity.APIGetResourceAccountMsg", ".header.identity.APILogInByAccountMsg", ".header.identity.APILogOutMsg", ".header.identity.APIQueryAccountMsg", ".header.identity.APIQueryAccountResourceRefMsg", ".header.identity.APIQueryQuotaMsg", ".header.identity.APIRenewSessionMsg", ".header.identity.APIRevokeResourceSharingMsg", ".header.identity.APIShareResourceMsg", ".header.identity.APIUpdateAccountMsg", ".header.identity.APIUpdateQuotaMsg", ".header.identity.APIValidateSessionMsg" ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史